cURL
curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/history \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}record
Get record history
Retrieve the change history of a specific record, including field modifications and user information.
GET
/
table
/
{tableId}
/
record
/
{recordId}
/
history
cURL
curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/history \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

